[maxscale]
threads=4

[Splitter Service]
type=service
router=readwritesplit
servers={{ mariadb.servers | join(', ') }}
user=maxscale
passwd={{data.password}}

[Splitter Listener]
type=listener
service=Splitter Service
protocol=MySQLClient
port=4305

[Write-Service]
type=service
router=readconnroute
router_options=master
servers={{ mariadb.servers | join(', ') }}
user=maxscale
passwd={{data.password}}

[Write-Listener]
type=listener
service=Write-Service
protocol=MySQLClient
port=4306

[Read-Service]
type=service
router=readconnroute
router_options=slave
servers={{ mariadb.servers | join(', ') }}
user=maxscale
passwd={{data.password}}

[Read-Listener]
type=listener
service=Read-Service
protocol=MySQLClient
port=4307

[db0]
type=server
address=db0.portal.{{ domain }}
port=3306
protocol=MariaDBBackend

[db1]
type=server
address=db1.portal.{{ domain }}
port=3306
protocol=MariaDBBackend

[db2]
type=server
address=db2.portal.{{ domain }}
port=3306
protocol=MariaDBBackend

[Replication-Monitor]
type=monitor
module=mariadbmon
servers={{ mariadb.servers | join(', ') }}
auto_failover=true
auto_rejoin=true
user=maxscale
password={{data.password}}
monitor_interval=2000

[CLI]
type=service
router=cli

[CLI-Listener]
type=listener
service=CLI
protocol=maxscaled
socket=default
